Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 990161 - Changing language does not work on iPad
Summary: Changing language does not work on iPad
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER05
: 6.1.0
Assignee: Matt Wringe
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-30 13:50 UTC by Filip Kiss
Modified: 2019-01-01 03:39 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
white screen after saving chnges (deleted)
2013-07-30 13:51 UTC, Filip Kiss
no flags Details
you cannot mark another language in the list (deleted)
2013-07-30 13:58 UTC, Filip Kiss
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker GTNPORTAL-3230 Major Resolved 508 compliancy changes doesn't properly 'hide' elements for rtl languages 2014-07-31 13:28:38 UTC

Description Filip Kiss 2013-07-30 13:50:22 UTC
Description of problem:
When you try to change language (does not matter which) on iPad, there is white screen (see image in attachment). Refreshing browser did not help.

Additional info:
iOS 5.1

Comment 2 Filip Kiss 2013-07-30 13:51:58 UTC
Created attachment 780682 [details]
white screen after saving chnges

Comment 3 Filip Kiss 2013-07-30 13:58:09 UTC
Created attachment 780683 [details]
you cannot mark another language in the list

After white screen, if you go back and try to choose another language from the list - it is not possible. Items cannot be marked.

Comment 5 Filip Kiss 2013-08-07 12:58:51 UTC
I just got into hands iPhone 5 with iOS 6.1.2 and I have experienced the same behavior.

Comment 6 JBoss JIRA Server 2013-08-08 21:17:46 UTC
Matt Wringe <mwringe@redhat.com> made a comment on jira GTNPORTAL-3230

Branch with fix available at https://github.com/mwringe/gatein-portal/tree/GTNPORTAL-3230 also include similar issues with other mobile components.

It would be good if Lucas can look this over and confirm it wont mess up any 508 compliance issues.

Comment 7 JBoss JIRA Server 2013-08-12 19:29:03 UTC
Matt Wringe <mwringe@redhat.com> made a comment on jira GTNPORTAL-3230

It may be best to move away from the FIR replacement method (http://en.wikipedia.org/wiki/Fahrner_Image_Replacement) with phark method (eg the large indent values) and use something more sane (text-indent: 105%; overflow:hidden; white-space: nowrap). This should improve performance and let me remove a nasty hack I had to add for android 2.3 support (which needs to be updated anyways since it currently specifies the android version and not the browser version or type).

Will need Lucas feedback to see how screen readers could potentially be affect.


Note You need to log in before you can comment on or make changes to this bug.